# Generated by Django 3.2.4 on 2021-06-20 19:29

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('app_lmgas', '0001_initial'),
    ]

    operations = [
        migrations.CreateModel(
            name='Estado',
            fields=[
                ('id_estado', models.CharField(max_length=3, primary_key=True, serialize=False)),
                ('desc_estado', models.CharField(max_length=20)),
            ],
        ),
        migrations.CreateModel(
            name='Pedido',
            fields=[
                ('id_pedido', models.CharField(max_length=12, primary_key=True, serialize=False)),
                ('cliente', models.CharField(max_length=50)),
                ('total_pedido', models.IntegerField(default=0)),
                ('fec_pedido', models.DateField(auto_now=True)),
                ('estado_pedido', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='app_lmgas.estado')),
            ],
        ),
    ]
